summaryrefslogtreecommitdiffstats
path: root/source/xap/xxgdb
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xxgdb')
-rw-r--r--source/xap/xxgdb/slack-desc19
-rwxr-xr-xsource/xap/xxgdb/xxgdb.SlackBuild101
-rw-r--r--source/xap/xxgdb/xxgdb.fix_glibc_and_gcc.diff45
3 files changed, 165 insertions, 0 deletions
diff --git a/source/xap/xxgdb/slack-desc b/source/xap/xxgdb/slack-desc
new file mode 100644
index 000000000..4905df862
--- /dev/null
+++ b/source/xap/xxgdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xxgdb: xxgdb (graphical program debugger interface)
+xxgdb:
+xxgdb: Xxgdb is a graphical user interface to the gdb debugger under the X
+xxgdb: Window System. It provides visual feedback and mouse input for the
+xxgdb: user to control program execution through breakpoints, to examine and
+xxgdb: traverse the function call stack, and to display values of variables
+xxgdb: and data structures.
+xxgdb:
+xxgdb:
+xxgdb:
+xxgdb:
diff --git a/source/xap/xxgdb/xxgdb.SlackBuild b/source/xap/xxgdb/xxgdb.SlackBuild
new file mode 100755
index 000000000..97c130f6d
--- /dev/null
+++ b/source/xap/xxgdb/xxgdb.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=xxgdb
+VERSION=${VERSION:-1.12}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+zcat $CWD/xxgdb.fix_glibc_and_gcc.diff.gz | patch -p1 --verbose --backup --suffix=.orig
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+xmkmf || exit 1
+make CCOPTIONS="$SLKCFLAGS" || exit 1
+make install DESTDIR="$PKG"
+make install.man DESTDIR="$PKG"
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p ${PKG}/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ README README.NEW_INTERFACE XDBX_README XDbx.NEW_INTERFACE XXGDB_README \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/xap/xxgdb/xxgdb.fix_glibc_and_gcc.diff b/source/xap/xxgdb/xxgdb.fix_glibc_and_gcc.diff
new file mode 100644
index 000000000..b61d57ced
--- /dev/null
+++ b/source/xap/xxgdb/xxgdb.fix_glibc_and_gcc.diff
@@ -0,0 +1,45 @@
+diff -Naur xxgdb-1.12/Imakefile xxgdb-1.12.fixed/Imakefile
+--- xxgdb-1.12/Imakefile 1995-06-19 19:20:55.000000000 -0300
++++ xxgdb-1.12.fixed/Imakefile 2007-02-21 10:40:57.000000000 -0200
+@@ -59,7 +59,7 @@
+ #endif
+
+ #ifdef LinuxArchitecture
+-DEFINES = -DSYSV $(DEFGDB)
++DEFINES = $(DEFGDB)
+ #endif
+
+ #if defined(NeXTArchitecture) || defined(NextArchitecture)
+diff -Naur xxgdb-1.12/filemenu.c xxgdb-1.12.fixed/filemenu.c
+--- xxgdb-1.12/filemenu.c 1994-08-29 16:38:28.000000000 -0300
++++ xxgdb-1.12.fixed/filemenu.c 2007-02-21 10:47:47.000000000 -0200
+@@ -207,12 +207,12 @@
+ return False;
+ if (statbuf.st_mode & S_IFDIR) { /* is directory */
+ strcat(entry->d_name, "/");
+- ++(entry->d_namlen);
++ ++(entry->d_reclen);
+ return True;
+ }
+ if (statbuf.st_mode & S_IEXEC) { /* is executable */
+ strcat(entry->d_name, "*");
+- ++(entry->d_namlen);
++ ++(entry->d_reclen);
+ return True;
+ }
+ return True;
+diff -Naur xxgdb-1.12/gdb_handler.c xxgdb-1.12.fixed/gdb_handler.c
+--- xxgdb-1.12/gdb_handler.c 1995-04-19 13:46:22.000000000 -0300
++++ xxgdb-1.12.fixed/gdb_handler.c 2007-02-21 10:51:30.000000000 -0200
+@@ -85,10 +85,7 @@
+ * query_gdb(): Send command to gdb.
+ */
+
+-#ifdef SYSV
+-# include <signal.h>
+-#endif
+-
++#include <signal.h>
+
+ /*
+ * Display an outlined arrow to locate the calling routine in a stack